> ## Documentation Index
> Fetch the complete documentation index at: https://docs.personate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get HP Job status

> This endpoint get a HP Job status

### Body

<ResponseField name="job_id" type="string" required="true">
  Video generation job id
</ResponseField>

### Response

<ResponseField name="job_id" type="string">
  HP Job id
</ResponseField>

<ResponseField name="job_type" type="string">
  Job Type
</ResponseField>

<ResponseField name="project_name" type="object">
  HP Project Name
</ResponseField>

<ResponseField name="status" type="string">
  Video generation status
</ResponseField>

<ResponseField name="output" type="string">
  Video generation output
</ResponseField>

<RequestExample>
  ```bash Bash theme={null}
  curl --location 'https://raijin.personate.ai/api/hp_job/{job_id}' \
  --header 'Authorization: 'Bearer ********'
  ```

  ```python Python theme={null}
  import requests

  url = "https://raijin.personate.ai/api/hp_job/{job_id}"

  payload = {}
  headers = {
    'Authorization': 'Bearer ********'
  }

  response = requests.request("GET", url, headers=headers, data=payload)

  print(response.text)

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "job_type": "string",
    "job_id": "string",
    "status": "rendering",
    "project_name": "string",
    "output": {}
  }
  ```
</ResponseExample>
